Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://{tenant_id}.api.useago.com/api/v1/simulation/datasets \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "agent_id": "<string>" } '
import requestsurl = "https://{tenant_id}.api.useago.com/api/v1/simulation/datasets"payload = { "name": "<string>", "description": "<string>", "agent_id": "<string>"}headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>', description: '<string>', agent_id: '<string>'})};fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/datasets', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "<string>", "name": "<string>", "object": "simulation_dataset", "description": "<string>", "agent_id": "<string>", "agent_name": "<string>", "default_persona_id": "<string>", "test_case_count": 0, "created_at": "<string>", "updated_at": "<string>" }
Create a new simulation dataset.
Schema for creating a simulation dataset via the v1 API.
Note: default_persona_id can only be set via update, not create.
Created
Response schema for simulation datasets.